Name:       ocaml-otfm
Version:    0.1.0
Release:    %mkrel 2
Summary:    OpenType font decoder for OCaml
Group:      Development/OCaml
License:    BSD3
URL:        http://erratique.ch/software/otfm
Source0:    http://erratique.ch/software/otfm/releases/otfm-%{version}.tbz

BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-uutf-devel

%description
Otfm is an in-memory decoder for OCaml to decode the OpenType font data
format. It provides low-level access to font tables and functions to decode
some of them.

Otfm is made of a single module and depends on Uutf.

Warning:
The interface is not stabilized yet and subject to change in newer
versions. The module is released because it is used by the PDF renderer
of Vg.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n otfm-%{version}

%build
./pkg/build true

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/otfm
pushd _build/src/
  rm -f *.depends
  ocamlfind install otfm \
    ../../pkg/META \
    *.a *.cm* *.annot *.ml*
popd

%files
%doc README.md CHANGES.md TODO.md
%dir %{_libdir}/ocaml/otfm
%{_libdir}/ocaml/otfm/META
%{_libdir}/ocaml/otfm/*.cmi
%{_libdir}/ocaml/otfm/*.cma
%{_libdir}/ocaml/otfm/*.cmo
%{_libdir}/ocaml/otfm/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/otfm/*.a
%{_libdir}/ocaml/otfm/*.cmxa
%{_libdir}/ocaml/otfm/*.cmx
%{_libdir}/ocaml/otfm/*.annot
%{_libdir}/ocaml/otfm/*.cmt
%{_libdir}/ocaml/otfm/*.cmti
%{_libdir}/ocaml/otfm/*.mli
%{_libdir}/ocaml/otfm/*.ml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 537832
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 blue_prawn <blue_prawn> 0.1.0-1.mga4
+ Revision: 487862
- build requires uutf
- imported package ocaml-otfm

